package cn.iocoder.yudao.module.system.service.elderly;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyNasalFeedingPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyNasalFeedingRespVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyNasalFeedingSaveReqVO;

/**
 * 鼻饲记录 Service
 */
public interface ElderlyNasalFeedingService {

    Long create(ElderlyNasalFeedingSaveReqVO createReqVO);

    void update(ElderlyNasalFeedingSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyNasalFeedingRespVO get(Long id);

    PageResult<ElderlyNasalFeedingRespVO> getPage(ElderlyNasalFeedingPageReqVO pageReqVO);
}

